# tbb::flow::interface6::multifunction_node< Input, Output, queueing, Allocator > Class Template Reference

Inheritance diagram for tbb::flow::interface6::multifunction_node< Input, Output, queueing, Allocator >:

List of all members.

## Public Types
typedef Input | input_type
typedef internal::wrap_tuple_elements < N, internal::multifunction_output, Output >::type | output_ports_type
## Public Member Functions
template<typename Body >
| multifunction_node (graph &g, size_t concurrency, Body body)
| multifunction_node (const multifunction_node &other)
## Protected Member Functions
void | reset ()
## Static Protected Attributes
static const int | N = tbb::flow::tuple_size<Output>::value

### template<typename Input, typename Output, typename Allocator>
class tbb::flow::interface6::multifunction_node< Input, Output, queueing, Allocator >

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.